<ion-content padding>
  <div class="pageContainer">
    <div class="pageContainerInner">
      <div class="logoContainer">
        <img src="../../assets/images/logoWhite.png">
        <p>Never lose your WARRANTIES</p>
      </div>
      <form #floginUser="ngForm" (ngSubmit)="floginUser.valid && loginUser()" novalidate="novalidate">
      <div class="box">
        <p class="text-center">Login</p>
        <div class="mobileNumberContainer">
          <ion-input type="tel" minlength="10" maxlength="10" clearInput placeholder="Mobile Number" [(ngModel)]="model.mobileNumber" name="mobileNumber" #mobileNumber=ngModel required></ion-input>
        </div>
        <div *ngIf="floginUser.submitted">
          <div *ngIf="mobileNumber?.errors?.required">
            This field is required.
          </div>
          <div *ngIf="mobileNumber?.errors?.minlength">
            Wrong mobile number.
          </div>
       </div>
        <div class="mobileNumberContainer">
          <ion-input type="password" minlength="6" maxlength="20" clearInput placeholder="password" [(ngModel)]="model.password" #password=ngModel name="txtpass" required></ion-input>
        </div>
        <div *ngIf="floginUser.submitted">
          <div *ngIf="password?.errors?.required">
            This field is required.
          </div>
          <div *ngIf="password?.errors?.minlength">
            Password must contains 6 characters.
          </div>
        </div>
        <ion-button expand="full" [routerDirection]="'root'" type="submit">Login</ion-button>
       <ion-button expand="full" [routerDirection]="'root'" routerLink="/login" fill="clear">
          <ion-icon name="arrow-back"> </ion-icon> &nbsp; Back</ion-button>
      </div>
      </form>
    </div>
  </div>
</ion-content>